package cz.moneta.test.dsl.forte.components;

import cz.moneta.test.harness.support.web.SelectByValue;

public enum ForteRoles implements SelectByValue {
    USER_MODE("Uživatelský režim"),
    SUPERUSER("Superuživatel"),
    ADMIN_RETAIL("Administrátor retail"),
    BANKER("Bankéř"),
    APP_ADMIN("Správce aplikace"),
    RSZP("RSZP"),
    ADMINISTRATOR("Administrátor"),
    OPERATOR_FINANCE("Operátor finance"),
    OPERATOR_IFRS("Operátor IFRS");

    String roleName;
    ForteRoles(String roleName) {
        this.roleName = roleName;
    }

    @Override
    public String getValue() {
        return roleName;
    }
}
